#
# spec file for package wv
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           wv
%define lname	libwv-1_2-1
BuildRequires:  glib2-devel
BuildRequires:  libgsf-devel
BuildRequires:  libtiff-devel
BuildRequires:  libtool
BuildRequires:  libwmf-devel
BuildRequires:  libxml2-devel
BuildRequires:  pkgconfig
Version:        1.2.2
Release:        0
Summary:        Tools for Importing Microsoft Word (tm) Documents
License:        GPL-2.0+
Group:          Productivity/Publishing/Word
Url:            http://wvWare.sourceforge.net/
Source:         wv-%{version}.tar.gz
Patch:          wv-1.2.2-automake.patch
Patch5:         wv-1.0.3-wvText.patch
Patch7:         wv-1.0.3-pc.patch
Patch8:         wv-1.2.2-overflow.patch
Patch9:         %{name}-1.2.2-fiximplicit.patch
Patch10:        wv-strcasecmp.patch
Patch11:        wv-gsf.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       w3m

%description
WV is a program that can understand the Microsoft Word 8 binary file
format (Office97). It currently converts Word into HTML, which can then
be read with a web browser.



Authors:
--------
    Caolan McNamara <Caolan.McNamara@ul.ie>

%package -n %lname
Summary:        Library for importing Microsoft Word documents
Group:          System/Libraries

%description -n %lname
libwv can parse the Microsoft Word 8 binary file format (Office97).

%package devel
Requires:       %lname = %version
Requires:       libgsf-devel
Requires:       libwmf-devel
Summary:        Static Libraries and Header Files for wv
Group:          Development/Libraries/C and C++

%description devel
Static Libraries and Header Files for wv.



Authors:
--------
    Caolan McNamara <Caolan.McNamara@ul.ie>

%prep
%setup -q
%patch
%patch5
%patch7
%patch8
%patch9 -p1
%patch10 -p1
%if 0%{?suse_version} > 1230
%patch11 -p1
%endif

%build
autoreconf -f -i --verbose
%define warn_flags -Wall -Wstrict-prototypes -Wpointer-arith -Wformat -Wformat-security
CFLAGS="$RPM_OPT_FLAGS %{warn_flags} -fno-strict-aliasing -fstack-protector" \
%configure --with-libwmf --with-expat --disable-dependency-tracking --disable-static --with-pic
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT manonedir=%{_mandir}/man1 install
rm -f %{buildroot}%{_libdir}/*.la

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files
%defattr(-,root,root)
/usr/bin/wvAbw
/usr/bin/wvCleanLatex
/usr/bin/wvConvert
/usr/bin/wvDVI
/usr/bin/wvHtml
/usr/bin/wvLatex
/usr/bin/wvMime
/usr/bin/wvPDF
/usr/bin/wvPS
/usr/bin/wvRTF
/usr/bin/wvSummary
/usr/bin/wvText
/usr/bin/wvVersion
/usr/bin/wvWare
/usr/bin/wvWml
/usr/bin/wvDocBook
/usr/share/wv
%doc %{_mandir}/*/*
%doc COPYING README 

%files -n %lname
%defattr(-,root,root)
%_libdir/libwv-1.2.so.1*

%files devel
%defattr(-,root,root)
%_libdir/pkgconfig/*
/usr/include/wv
%{_libdir}/*.so

%changelog
